Schema "fpml-variance-swaps-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/reporting

Version:

  $Revision: 8648 $

Defined Components:

  3 global elements, 11 local elements, 5 complexTypes

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\reporting\fpml-variance-swaps-5-3.xsd; see XML source

Includes Schema:

  fpml-eqd-5-3.xsd [src]

Included in Schema:

  fpml-main-5-3.xsd [src]

All Element Summary
amount (defined in VarianceLeg complexType) | Specifies, in relation to each Equity Payment Date, the amount to which the Equity Payment Date relates.
Type: | VarianceAmount
Content: | complex, 6 elements
Defined: | locally witnin VarianceLeg complexType; see XML source
equityExercise (in varianceOptionTransactionSupplement) | The parameters for defining how the equity option can be exercised, how it is valued and how it is settled.
Type: | EquityExerciseValuationSettlement
Content: | complex, 14 elements
Defined: | locally witnin VarianceOptionTransactionSupplement complexType; see XML source
equityPremium (in varianceOptionTransactionSupplement) | The variance option premium payable by the buyer to the seller.
Type: | EquityPremium
Content: | complex, 1 attribute, 10 elements
Defined: | locally witnin VarianceOptionTransactionSupplement complexType; see XML source
exchangeLookAlike (in varianceOptionTransactionSupplement) | For a share option transaction, a flag used to indicate whether the transaction is to be treated as an 'exchange look-alike'.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin VarianceOptionTransactionSupplement complexType; see XML source
methodOfAdjustment (in varianceOptionTransactionSupplement) | Defines how adjustments will be made to the contract should one or more of the extraordinary events occur.
Type: | MethodOfAdjustmentEnum
Content: | simple
Defined: | locally witnin VarianceOptionTransactionSupplement complexType; see XML source
multiplier (in varianceOptionTransactionSupplement) | Specifies the contract multiplier that can be associated with an index option.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin VarianceOptionTransactionSupplement complexType; see XML source
optionEntitlement (in varianceOptionTransactionSupplement) | The number of shares per option comprised in the option transaction supplement.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin VarianceOptionTransactionSupplement complexType; see XML source
variance | Specifies Variance.
Type: | Variance
Content: | complex, 12 elements
Defined: | locally witnin VarianceAmount complexType; see XML source
varianceLeg (defined in VarianceSwapTransactionSupplement complexType) | Variance Leg.
Type: | VarianceLeg
Content: | complex, 1 attribute, 15 elements
Defined: | locally witnin VarianceSwapTransactionSupplement complexType; see XML source
varianceLeg (in varianceSwap) | Variance Leg.
Type: | VarianceLeg
Content: | complex, 1 attribute, 15 elements
Defined: | locally witnin VarianceSwap complexType; see XML source
varianceOptionTransactionSupplement | Specifies the structure of a variance option.
Type: | VarianceOptionTransactionSupplement
Content: | complex, 1 attribute, 15 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
varianceSwap | Specifies the structure of a variance swap.
Type: | VarianceSwap
Content: | complex, 1 attribute, 6 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
varianceSwapTransactionSupplement | Specifies the structure of a variance swap transaction supplement.
Type: | VarianceSwapTransactionSupplement
Content: | complex, 1 attribute, 8 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
varianceSwapTransactionSupplement (in varianceOptionTransactionSupplement) | The variance swap details.
Type: | VarianceSwapTransactionSupplement
Content: | complex, 1 attribute, 8 elements
Defined: | locally witnin VarianceOptionTransactionSupplement complexType; see XML source

Complex Type Summary
VarianceAmount | Calculation of a Variance Amount.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
VarianceLeg | A type describing return which is driven by a Variance Calculation.
Content: | complex, 1 attribute, 15 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
VarianceOptionTransactionSupplement |
Content: | complex, 1 attribute, 15 elements
Defined: | globally; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location
VarianceSwap | A Variance Swap.
Content: | complex, 1 attribute, 6 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
VarianceSwapTransactionSupplement | A Variance Swap Transaction Supplement.
Content: | complex, 1 attribute, 8 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="rpt" ecore:package="org.fpml.reporting" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/reporting" version="$Revision: 8648 $" xmlns="http://www.fpml.org/FpML-5/reporting" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:view="http://www.fpml.org/views" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-eqd-5-3.xsd"/> <xsd:complexType name="VarianceAmount"> <xsd:annotation> <xsd:documentation xml:lang="en">Calculation of a Variance Amount.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CalculatedAmount"> <xsd:sequence> <xsd:element minOccurs="0" name="variance" type="Variance"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies Variance.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="VarianceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing return which is driven by a Variance Calculation. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="DirectionalLegUnderlyerValuation"> <xsd:sequence> <xsd:element minOccurs="0" name="amount" type="VarianceAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies, in relation to each Equity Payment Date, the amount to which the Equity Payment Date relates. Unless otherwise specified, this term has the meaning defined in the ISDA 2002 Equity Derivatives Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="VarianceOptionTransactionSupplement"> <xsd:complexContent> <xsd:extension base="OptionBase"> <xsd:sequence> <xsd:element minOccurs="0" name="equityPremium" type="EquityPremium"> <xsd:annotation> <xsd:documentation xml:lang="en"> The variance option premium payable by the buyer to the seller. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="equityExercise" type="EquityExerciseValuationSettlement"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining how the equity option can be exercised, how it is valued and how it is settled. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exchangeLookAlike" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> For a share option transaction, a flag used to indicate whether the transaction is to be treated as an 'exchange look-alike'. This designation has significance for how share adjustments (arising from corporate actions) will be determined for the transaction. For an 'exchange look-alike' transaction the relevant share adjustments will follow that for a corresponding designated contract listed on the related exchange (referred to as Options Exchange Adjustment (ISDA defined term), otherwise the share adjustments will be determined by the calculation agent (referred to as Calculation Agent Adjustment (ISDA defined term)). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="methodOfAdjustment" type="MethodOfAdjustmentEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines how adjustments will be made to the contract should one or more of the extraordinary events occur. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="optionEntitlement" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of shares per option comprised in the option transaction supplement. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="multiplier" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the contract multiplier that can be associated with an index option. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="varianceSwapTransactionSupplement" type="VarianceSwapTransactionSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en">The variance swap details.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="VarianceSwap"> <xsd:annotation> <xsd:documentation xml:lang="en">A Variance Swap.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NettedSwapBase"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="varianceLeg" type="VarianceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Variance Leg.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="VarianceSwapTransactionSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en">A Variance Swap Transaction Supplement.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="varianceLeg" type="VarianceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Variance Leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="EquityUnderlyerProvisions.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:element name="varianceOptionTransactionSupplement" substitutionGroup="product" type="VarianceOptionTransactionSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the structure of a variance option.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="varianceSwap" substitutionGroup="product" type="VarianceSwap"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the structure of a variance swap.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="varianceSwapTransactionSupplement" substitutionGroup="product" type="VarianceSwapTransactionSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the structure of a variance swap transaction supplement. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.